{
    "InvasionMultiplier": {{TShock_InvasionMultiplier}},
    "DefaultMaximumSpawns": {{TShock_DefaultMaximumSpawns}},
    "DefaultSpawnRate": {{TShock_DefaultSpawnRate}},
    "ServerPort": {{TShock_ServerPort}},
    "EnableWhitelist": {{TShock_EnableWhitelist}},
    "InfiniteInvasion": {{TShock_InfiniteInvasion}},
    "PvPMode": "{{TShock_PvPMode}}",
    "SpawnProtection": {{TShock_SpawnProtection}},
    "SpawnProtectionRadius": {{TShock_SpawnProtectionRadius}},
    "MaxSlots": {{TShock_MaxSlots}},
    "RangeChecks": {{TShock_RangeChecks}},
    "DisableBuild": {{TShock_DisableBuild}},
    "SuperAdminChatRGB": [
      {{TShock_SuperAdminChatR}},
      {{TShock_SuperAdminChatG}},
      {{TShock_SuperAdminChatB}}
    ],
    "SuperAdminChatPrefix": "{{TShock_SuperAdminChatPrefix}}",
    "SuperAdminChatSuffix": "{{TShock_SuperAdminChatSuffix}}",
    "BackupInterval": {{TShock_BackupInterval}},
    "BackupKeepFor": {{TShock_BackupKeepFor}},
    "RememberLeavePos": {{TShock_RememberLeavePos}},
    "HardcoreOnly": {{TShock_HardcoreOnly}},
    "MediumcoreOnly": {{TShock_MediumcoreOnly}},
    "KickOnMediumcoreDeath": {{TShock_KickOnMediumcoreDeath}},
    "BanOnMediumcoreDeath": {{TShock_BanOnMediumcoreDeath}},
    "AutoSave": {{TShock_AutoSave}},
    "AnnounceSave": {{TShock_AnnounceSave}},
    "MaximumLoginAttempts": {{TShock_MaximumLoginAttempts}},
    "ServerName": "{{TShock_ServerName}}",
    "UseServerName": {{TShock_UseServerName}},
    "StorageType": "{{TShock_StorageType}}",
    "MySqlHost": "{{TShock_MySqlHost}}",
    "MySqlDbName": "{{TShock_MySqlDbName}}",
    "MySqlUsername": "{{TShock_MySqlUsername}}",
    "MySqlPassword": "{{TShock_MySqlPassword}}",
    "MediumcoreBanReason": "{{TShock_MediumcoreBanReason}}",
    "MediumcoreKickReason": "{{TShock_MediumcoreKickReason}}",
    "EnableIPBans": {{TShock_EnableIPBans}},
    "EnableUUIDBans": {{TShock_EnableUUIDBans}},
    "EnableBanOnUsernames": {{TShock_EnableBanOnUsernames}},
    "DefaultRegistrationGroupName": "{{TShock_DefaultRegistrationGroupName}}",
    "DefaultGuestGroupName": "{{TShock_DefaultGuestGroupName}}",
    "DisableSpewLogs": {{TShock_DisableSpewLogs}},
    "DisableSecondUpdateLogs": {{TShock_DisableSecondUpdateLogs}},
    "HashAlgorithm": "{{TShock_HashAlgorithm}}",
    "ServerFullReason": "{{TShock_ServerFullReason}}",
    "WhitelistKickReason": "{{TShock_WhitelistKickReason}}",
    "ServerFullNoReservedReason": "{{TShock_ServerFullNoReservedReason}}",
    "SaveWorldOnCrash": {{TShock_SaveWorldOnCrash}},
    "EnableGeoIP": {{TShock_EnableGeoIP}},
    "EnableTokenEndpointAuthentication": {{TShock_EnableTokenEndpointAuthentication}},
    "RestApiEnabled": {{TShock_RestApiEnabled}},
    "RestApiPort": {{TShock_RestApiPort}},
    "DisableTombstones": {{TShock_DisableTombstones}},
    "DisplayIPToAdmins": {{TShock_DisplayIPToAdmins}},
    "KickProxyUsers": {{TShock_KickProxyUsers}},
    "DisableHardmode": {{TShock_DisableHardmode}},
    "DisableDungeonGuardian": {{TShock_DisableDungeonGuardian}},
    "DisableClownBombs": {{TShock_DisableClownBombs}},
    "DisableSnowBalls": {{TShock_DisableSnowBalls}},
    "ChatFormat": "{{TShock_ChatFormat}}",
    "ChatAboveHeadsFormat": "{{TShock_ChatAboveHeadsFormat}}",
    "ForceTime": "{{TShock_ForceTime}}",
    "TileKillThreshold": {{TShock_TileKillThreshold}},
    "TilePlaceThreshold": {{TShock_TilePlaceThreshold}},
    "TileLiquidThreshold": {{TShock_TileLiquidThreshold}},
    "ProjectileThreshold": {{TShock_ProjectileThreshold}},
    "HealOtherThreshold": {{TShock_HealOtherThreshold}},
    "ProjIgnoreShrapnel": {{TShock_ProjIgnoreShrapnel}},
    "RequireLogin": {{TShock_RequireLogin}},
    "DisableInvisPvP": {{TShock_DisableInvisPvP}},
    "MaxRangeForDisabled": {{TShock_MaxRangeForDisabled}},
    "ServerPassword": "{{TShock_ServerPassword}}",
    "RegionProtectChests": {{TShock_RegionProtectChests}},
    "RegionProtectGemLocks": {{TShock_RegionProtectGemLocks}},
    "DisableLoginBeforeJoin": {{TShock_DisableLoginBeforeJoin}},
    "DisableUUIDLogin": {{TShock_DisableUUIDLogin}},
    "KickEmptyUUID": {{TShock_KickEmptyUUID}},
    "AllowRegisterAnyUsername": {{TShock_AllowRegisterAnyUsername}},
    "AllowLoginAnyUsername": {{TShock_AllowLoginAnyUsername}},
    "MaxDamage": {{TShock_MaxDamage}},
    "MaxProjDamage": {{TShock_MaxProjDamage}},
    "KickOnDamageThresholdBroken": {{TShock_KickOnDamageThresholdBroken}},
    "IgnoreProjUpdate": {{TShock_IgnoreProjUpdate}},
    "IgnoreProjKill": {{TShock_IgnoreProjKill}},
    "IgnoreNoClip": {{TShock_IgnoreNoClip}},
    "AllowIce": {{TShock_AllowIce}},
    "AllowCrimsonCreep": {{TShock_AllowCrimsonCreep}},
    "AllowCorruptionCreep": {{TShock_AllowCorruptionCreep}},
    "AllowHallowCreep": {{TShock_AllowHallowCreep}},
    "StatueSpawn200": {{TShock_StatueSpawn200}},
    "StatueSpawn600": {{TShock_StatueSpawn600}},
    "StatueSpawnWorld": {{TShock_StatueSpawnWorld}},
    "PreventBannedItemSpawn": {{TShock_PreventBannedItemSpawn}},
    "PreventDeadModification": {{TShock_PreventDeadModification}},
    "EnableChatAboveHeads": {{TShock_EnableChatAboveHeads}},
    "ForceXmas": {{TShock_ForceXmas}},
    "AllowAllowedGroupsToSpawnBannedItems": {{TShock_AllowAllowedGroupsToSpawnBannedItems}},
    "IgnoreChestStacksOnLoad": {{TShock_IgnoreChestStacksOnLoad}},
    "LogPath": "{{TShock_LogPath}}",
    "UseSqlLogs": {{TShock_UseSqlLogs}},
    "RevertToTextLogsOnSqlFailures": {{TShock_RevertToTextLogsOnSqlFailures}},
    "PreventInvalidPlaceStyle": {{TShock_PreventInvalidPlaceStyle}},
    "BroadcastRGB": [
      {{TShock_BroadcastR}},
      {{TShock_BroadcastB}},
      {{TShock_BroadcastB}}
    ],
    "ApplicationRestTokens": {{TShock_ApplicationRestTokens}},
    "ReservedSlots": {{TShock_ReservedSlots}},
    "LogRest": {{TShock_LogRest}},
    "RespawnSeconds": {{TShock_RespawnSeconds}},
    "RespawnBossSeconds": {{TShock_RespawnBossSeconds}},
    "TilePaintThreshold": {{TShock_TilePaintThreshold}},
    "ForceHalloween": {{TShock_ForceHalloween}},
    "AllowCutTilesAndBreakables": {{TShock_AllowCutTilesAndBreakables}},
    "CommandSpecifier": "{{TShock_CommandSpecifier}}",
    "CommandSilentSpecifier": "{{TShock_CommandSilentSpecifier}}",
    "KickOnHardcoreDeath": {{TShock_KickOnHardcoreDeath}},
    "BanOnHardcoreDeath": {{TShock_BanOnHardcoreDeath}},
    "HardcoreBanReason": "{{TShock_HardcoreBanReason}}",
    "HardcoreKickReason": "{{TShock_HardcoreKickReason}}",
    "AnonymousBossInvasions": {{TShock_AnonymousBossInvasions}},
    "MaxHP": {{TShock_MaxHP}},
    "MaxMP": {{TShock_MaxMP}},
    "SaveWorldOnLastPlayerExit": {{TShock_SaveWorldOnLastPlayerExit}},
    "BCryptWorkFactor": {{TShock_BCryptWorkFactor}},
    "MinimumPasswordLength": {{TShock_MinimumPasswordLength}},
    "RESTMaximumRequestsPerInterval": {{TShock_RESTMaximumRequestsPerInterval}},
    "RESTRequestBucketDecreaseIntervalMinutes": {{TShock_RESTRequestBucketDecreaseIntervalMinutes}},
    "RESTLimitOnlyFailedLoginRequests": {{TShock_RESTLimitOnlyFailedLoginRequests}},
    "ShowBackupAutosaveMessages": {{TShock_ShowBackupAutosaveMessages}}
  }